Bug 1008036 - setroubleshoot-server not sending emails
setroubleshoot-server not sending emails
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 17:16 EDT by James Withers (Audere Commerce)
Modified: 2013-09-25 15:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-25 15:31:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Withers (Audere Commerce) 2013-09-13 17:16:40 EDT
Description of problem: setroubleshoot-server is not sending emails, despite no filter_type being set in email_alert_recipients. 


Version-Release number of selected component (if applicable):setroubleshoot-server-3.2.10-2.fc19.x86_64 


How reproducible: Every time


Steps to Reproduce:
1. Generate SELinux Denial (port 222 for SSH for example)

Actual results:
1. See error get logged in setroubleshoot_database.xml (i.e. setroubleshoot is detecting it).
2. No e-mail is sent, despite no filter_type being set in email_alert_recipients.

Expected results:
1. See error get logged in setroubleshoot_database.xml (i.e. setroubleshoot is detecting it).
2. No e-mail is sent, despite no filter_type being set in email_alert_recipients.

Additional info:
This only happened after an upgrade to setroubleshoot-server-3.2.10-2.fc19.x86_64; coincidentally, an email is sent if I restart the machine and the SSH denial is triggered during boot. All other mail and setroubleshoot-server functions work fine
Comment 1 Daniel Walsh 2013-09-16 14:39:54 EDT
Any think being reported in /var/log/messages?  Are you sure the conf file is setup correctly? 

In setroubleshoot.conf I setup.

# from_address: The From: email header
from_address = dwalsh@redhat.com

And

cat /var/lib/setroubleshoot/email_alert_recipients
dwalsh@redhat.com


Which sends email to me.
Comment 2 James Withers (Audere Commerce) 2013-09-17 18:37:45 EDT
I have the same setup (with different email addresses). In /var/lib/setroubleshoot/setroubleshoot_database.xml I see that setroubleshoot is detecting denial as it is updating when it was last seen. Yet it still will not send a notification.
Comment 3 Daniel Walsh 2013-09-18 11:24:00 EDT
Any errors in /var/log/messages or when you run mail as root?
Comment 4 James Withers (Audere Commerce) 2013-09-18 18:18:22 EDT
Fixed. In /var/lib/setroubleshoot/email_alert_recipients:

host@domain.tld    filter_type=never

Documentation (http://fedoraproject.org/wiki/Docs/Drafts/SELinux/SETroubleShoot/UserFAQ#2.3._Cansetroubleshoot_send_me_an_email_when_an_alert_fires.3F). Formatting isn't great but the information is there.

Completely my fault for not reading it thoroughly, something which I will be sure to do next time.

Regards,

James

Note You need to log in before you can comment on or make changes to this bug.